<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $existecod=$objPer->ExisteTrans($mat_trans); 
  //echo $capcarg_trans; 
  if($existecod=="0"){
	
	if($_SESSION['costototper']==''){
		$ctp=0;
	}else{
		$ctp=$_SESSION['costototper'];
	}
	$objPer->registrarTransV($mat_trans,$tipo_trans,$cappass_trans,$capcarg_trans,$capcarg_ext,$model_trans,$tripnum_trans,'1',$cod_emp,$tarifam,$via,$combus,$tipomedida,$tarifah,$tarifav,extraerfechamysql($seguro_fi),extraerfechamysql($seguro_ff),$tipohora,extraerfechamysql($fecha_iniop),extraerfechamysql($fecha_finop),$numcontrato,$dias_indotor,$costo_mov,$costo_desmov,$comentario,$ctp,$horamaxtra);  
		 	
	if($via=='A'){
	while(list($clave,$valor)=each($transper_d)){  
		$tipoper=$valor[0];
		$fechaini_tp=$valor[1];
		$fechafin_tp=$valor[2];											
		$costod=$valor[3];				
		$objPer->registrarTransPerDet($mat_trans,$tipoper,extraerfechamysql($fechaini_tp),extraerfechamysql($fechafin_tp),$costod);		
		}			
	} 
	//Redirigir("../p_reg_trans.php");	
	echo "Se grabo satisfactoriamente";
}else{
	//Redirigir("cvp_mensaje_trans_existe.php?mat_trans=$mat_trans&tipo_trans=$tipo_trans&cappass_trans=$cappass_trans&capcarg_trans=$capcarg_trans&model_trans=$model_trans&tripnum_trans=$tripnum_trans");
	echo "La matricula existe y no se puede grabar el mismo";
}    
   
?>